/**
 *
 */
package de.intevation.gnv.artifacts;

import org.w3c.dom.Document;

import de.intevation.artifacts.ArtifactDatabase;
import de.intevation.artifacts.ArtifactDatabaseException;
import de.intevation.artifacts.ArtifactFactory;
import de.intevation.artifacts.CallMeta;

/**
 * @author Tim Englich <tim.englich@intevation.de>
 *
 */
public class TestArtifactDatabase implements ArtifactDatabase {

    private ArtifactFactory artifactFactory = null;
    /**
     * Constructor
     */
    public TestArtifactDatabase(ArtifactFactory artifactFactory) {
        this.artifactFactory = artifactFactory;
    }

    /**
     * @see de.intevation.artifacts.ArtifactDatabase#advance(java.lang.String, org.w3c.dom.Document, de.intevation.artifacts.CallMeta)
     */
    public Document advance(String artifact, Document target, CallMeta callMeta)
                                                                                throws ArtifactDatabaseException {

        return null;
    }

    /**
     * @see de.intevation.artifacts.ArtifactDatabase#artifactFactoryNamesAndDescriptions()
     */
    public String[][] artifactFactoryNamesAndDescriptions() {

        return null;
    }

    /**
     * @see de.intevation.artifacts.ArtifactDatabase#createArtifactWithFactory(java.lang.String, de.intevation.artifacts.CallMeta)
     */
    public Document createArtifactWithFactory(String factory, CallMeta callMeta)
                                                                                throws ArtifactDatabaseException {

        return null;
    }

    /**
     * @see de.intevation.artifacts.ArtifactDatabase#describe(java.lang.String, org.w3c.dom.Document, de.intevation.artifacts.CallMeta)
     */
    public Document describe(String artifact, Document data, CallMeta callMeta)
                                                                               throws ArtifactDatabaseException {

        return null;
    }

    /**
     * @see de.intevation.artifacts.ArtifactDatabase#feed(java.lang.String, org.w3c.dom.Document, de.intevation.artifacts.CallMeta)
     */
    public Document feed(String artifact, Document data, CallMeta callMeta)
                                                                           throws ArtifactDatabaseException {

        return null;
    }

    /**
     * @see de.intevation.artifacts.ArtifactDatabase#getInternalArtifactFactory(java.lang.String)
     */
    public ArtifactFactory getInternalArtifactFactory(String factoryName) {
        return this.artifactFactory;
    }

    /**
     * @see de.intevation.artifacts.ArtifactDatabase#out(java.lang.String, org.w3c.dom.Document, de.intevation.artifacts.CallMeta)
     */
    public DeferredOutput out(String artifact, Document format,
                              CallMeta callMeta)
                                                throws ArtifactDatabaseException {

        return null;
    }

}
